#ifndef FT_MINISHELL
# define FT_MINISHELL
# include "libftx/libftx.h"
# include "utils/utils.h"
# include <sys/types.h>
# include <sys/stat.h>
# include <fcntl.h>
#include <stdio.h>
#include <readline/readline.h>
#include <readline/history.h>

int	ft_file_is_readable(char *path);
int	ft_file_is_writeable(char *path);
char	*ft_get_file_path(char *infile);
int	ft_infile(char *line);
int	ft_outfile(char *line);
int	ft_heredoc(char *stop);

typedef struct cmd
{
	int	fd_in;
	int	fd_out;
	char	*cmd;
	char	*args;
} cmd;

#endif
